Show / Hide Table of Contents

# Struct CharacterManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct CharacterManager

### Fields

| Improve this Doc View Source

#### BattleCharaArray

##### Declaration

    public long *BattleCharaArray

##### Field Value

Type | Description
--- | ---
System.Int64* |

| Improve this Doc View Source

#### BattleCharaMemory

##### Declaration

    public BattleChara*BattleCharaMemory

##### Field Value

Type | Description
--- | ---
BattleChara* |

| Improve this Doc View Source

#### CompanionClassSize

##### Declaration

    public int CompanionClassSize

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CompanionMemory

##### Declaration

    public Companion*CompanionMemory

##### Field Value

Type | Description
--- | ---
Companion* |

| Improve this Doc View Source

#### UpdateIndex

##### Declaration

    public int UpdateIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static CharacterManager*Instance()

##### Returns

Type | Description
--- | ---
CharacterManager* |

| Improve this Doc View Source

#### LookupBattleCharaByName(Byte*, Boolean, Int16)

##### Declaration

    public BattleChara*LookupBattleCharaByName(byte *name, bool onlyPlayers = false, short world = -1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.Boolean | onlyPlayers |
System.Int16 | world |

##### Returns

Type | Description
--- | ---
BattleChara* |

| Improve this Doc View Source

#### LookupBattleCharaByObjectId(Int32)

##### Declaration

    public BattleChara*LookupBattleCharaByObjectId(int objectId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | objectId |

##### Returns

Type | Description
--- | ---
BattleChara* |

| Improve this Doc View Source

#### LookupBuddyByOwnerObject(BattleChara*)

##### Declaration

    public BattleChara*LookupBuddyByOwnerObject(BattleChara*owner)

##### Parameters

Type | Name | Description
--- | --- | ---
BattleChara* | owner |

##### Returns

Type | Description
--- | ---
BattleChara* |

| Improve this Doc View Source

#### LookupPetByOwnerObject(BattleChara*)

##### Declaration

    public BattleChara*LookupPetByOwnerObject(BattleChara*owner)

##### Parameters

Type | Name | Description
--- | --- | ---
BattleChara* | owner |

##### Returns

Type | Description
--- | ---
BattleChara* |